--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Destructively automigrates the data-store to match the model. First migrates all models down and then up. REPEAT: THIS IS DESTRUCTIVE"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Migrations::Repository#auto_migrate!
is_singleton: false
name: auto_migrate!
params: ()
visibility: public
